# Created by pyp2rpm-1.1.2
%global pypi_name XStatic-smart-table

Name:           python-%{pypi_name}
Version:        1.4.5.3
Release:        5%{?dist}.1
Summary:        smart-table (XStatic packaging standard)

License:        MIT
URL:            https://github.com/lorenzofox3/Smart-Table
Source0:        https://pypi.io/packages/source/X/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch
 
BuildRequires:  python2-devel
BuildRequires:  python-setuptools
BuildRequires:  web-assets-devel

Requires:       python-XStatic
Requires:       web-assets-filesystem


%description
smart-table javascript library packaged for setuptools (easy_install) / pip.

This package is intended to be used by any project that needs these files.

It intentionally does not provide any extra code except some metadata
nor has any extra requirements.

%prep
%setup -q -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

# patch to use webassets dir
sed -i "s|^BASE_DIR = .*|BASE_DIR = '%{_jsdir}/angular_smart_table'|" xstatic/pkg/angular_smart_table/__init__.py
# fix assets detection when you use XStatic
sed -i 's/smart-table.min.js/smart-table.js/' xstatic/pkg/angular_smart_table/__init__.py



%build
# due
# https://bitbucket.org/thomaswaldmann/xstatic/issue/2/
# this package can not be built with python-XStatic installed.
%{__python2} setup.py build


%install
%{__python2} setup.py install --skip-build --root %{buildroot}
mkdir -p %{buildroot}/%{_jsdir}/angular_smart_table
mv %{buildroot}/%{python2_sitelib}/xstatic/pkg/angular_smart_table/data/smart-table.js %{buildroot}/%{_jsdir}/angular_smart_table



%files
%doc README.txt
%{python2_sitelib}/xstatic/pkg/angular_smart_table
%{python2_sitelib}/XStatic_smart_table-%{version}-py%{python_version}.egg-info
%{python2_sitelib}/XStatic_smart_table-%{version}-py%{python_version}-nspkg.pth
%{_jsdir}/angular_smart_table

%changelog
* Fri Aug 19 2016 Haïkel Guémar <hguemar@fedoraproject.org> - 1.4.5.3-5
- Fix assets detection

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.5.3-4
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.5.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.5.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jan 10 2015 Matthias Runge <mrunge@redhat.com> - 1.4.5.3-1
- Initial package. (rhbz#1181050)
